Page MenuHomePhabricator

Rename two indexes in the Echo extension
Closed, ResolvedPublic

Description

Short description:

Rename two indexes in the Echo extension. These were renamed for the benefit of SQLite on the foundations Continuous Integration environment which requires index names to be unique not just to a table, but to the entire database.

My review of mariadb's 'ALTER TABLE' statement suggests there is no rename index option(incl in mysql 5.7), so the indexes would need to be dropped and recreated. We are not sure if its actually worthwhile to rename these indexes in prod, up to you.

Which wikis are affected:

testwiki:

  • maindb
  • extension1db -

test2wiki

  • maindb

mediawikiwiki (s3)

  • maindb
    • eqiad
    • codfw

enwiki:

  • extension1db
    • eqiad
    • codfw

Which tables:

echo_event and echo_notification

What is the change to those tables:

CREATE INDEX /*i*/echo_event_type ON /*_*/echo_event (event_type);
DROP INDEX /*i*/event_type ON /*_*/echo_event;

CREATE INDEX /*i*/echo_user_timestamp ON /*_*/echo_notification (notification_user, notification_timestamp);
DROP INDEX /*i*/user_timestamp ON /*_*/echo_notification;

Links to gerrit changes and/or other related bug reports.

https://gerrit.wikimedia.org/r/#/c/64594/
https://gerrit.wikimedia.org/r/#/c/68728/


Version: unspecified
Severity: minor
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=41987

Details

Reference
bz49593

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:50 AM
bzimport set Reference to bz49593.

Sean: Any news here (as you set yourself as assignee and as this is high priority)? Or should priority be lower instead?

Krenair removed Springle as the assignee of this task.Oct 4 2015, 2:53 AM
Krenair added a subscriber: Krenair.

I'm guessing @Springle does not intend to work on this.

Danny_B moved this task from Unsorted to Change on the Schema-change board.Apr 29 2016, 10:30 PM
Marostegui moved this task from Triage to Backlog on the DBA board.Jul 27 2018, 4:00 PM

I will try to get this deployed in eqiad at least, before we switch back

Marostegui moved this task from Backlog to Next on the DBA board.
Marostegui raised the priority of this task from Low to Medium.EditedSep 18 2018, 6:48 AM
Marostegui moved this task from Next to In progress on the DBA board.

I have altered testwiki on db2033 (x1) for now.
Also altered testwiki and test2wiki on maindb on all the hosts.

Marostegui updated the task description. (Show Details)Sep 18 2018, 6:56 AM

Mentioned in SAL (#wikimedia-operations) [2018-09-19T10:26:47Z] <marostegui> Deploy schema change on x1:testwiki - T51593

Marostegui updated the task description. (Show Details)Sep 19 2018, 10:27 AM

Mentioned in SAL (#wikimedia-operations) [2018-09-19T12:50:36Z] <marostegui> Deploy schema change on s3 eqiad master on mediawikiwiki (this will generate some lag on s3 eqiad) - T51593

Marostegui updated the task description. (Show Details)Sep 19 2018, 12:56 PM
Marostegui updated the task description. (Show Details)
Marostegui updated the task description. (Show Details)Sep 19 2018, 1:21 PM

Mentioned in SAL (#wikimedia-operations) [2018-09-19T13:25:53Z] <marostegui> Deploy schema change on x1 eqiad master on enwiki (this will generate some lag on x1 eqiad) - T51593

Marostegui updated the task description. (Show Details)Sep 19 2018, 1:36 PM
Marostegui added a comment.EditedSep 19 2018, 1:48 PM

codfw x1 enwiki progress:

  • dbstore2002
  • db2069
  • db2034
  • db2033
Marostegui updated the task description. (Show Details)Sep 20 2018, 5:46 AM
Marostegui added a comment.EditedSep 20 2018, 5:48 AM

codfw s3 mediawikiwiki progress:

  • dbstore2002
  • db2094
  • db2074
  • db2057
  • db2050
  • db2036
  • db2043

Mentioned in SAL (#wikimedia-operations) [2018-09-20T05:54:08Z] <marostegui> Deploy schema change on s3:mediawikiwiki for echo tables codfw - T51593

Marostegui closed this task as Resolved.Sep 20 2018, 5:55 AM
Marostegui updated the task description. (Show Details)

This is all done - one less drift from code and production!